Bug 296141 - yum upgrade: There was a problem importing one of the Python modules
yum upgrade: There was a problem importing one of the Python modules
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-19 08:12 EDT by Rick Richardson
Modified: 2014-01-21 17:59 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-19 10:13:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2007-09-19 08:12:10 EDT
Did the upgrade from FC6 to F7.

Then did a:

# yum upgrade
There was a problem importing one of the Python modules
required to run yum. The error leading to this problem was:

   No module named rpm

Please install a package which provides this module, or
verify that the module is installed correctly.

It's possible that the above module doesn't match the
current version of Python, which is:
2.5 (r25:51908, Apr 10 2007, 10:29:13)
[GCC 4.1.2 20070403 (Red Hat 4.1.2-8)]

If you cannot solve this problem yourself, please go to
the yum faq at:
  http://wiki.linux.duke.edu/YumFaq

Now I can't use yum!!!!
Comment 1 Seth Vidal 2007-09-19 08:44:46 EDT
please run: rpm -qa | grep rpm

did anything odd or bad happen during your upgrade?
Comment 2 Panu Matilainen 2007-09-19 08:51:41 EDT
If fully up-to-date F6 is updated to F7 without having F7 updates repository
enabled, rpm wont get updated...
Comment 3 Rick Richardson 2007-09-19 09:01:21 EDT
[root@localhost rick]# rpm -qa | grep rpm
rpm-python-4.4.2.1-1.fc6
freshrpms-release-1.1-1.fc
rpm-build-4.4.2.1-1.fc6
rpm-4.4.2.1-1.fc6
redhat-rpm-config-8.0.45-15.fc7
rpm-devel-4.4.2.1-1.fc6
rpm-libs-4.4.2.1-1.fc6

Normal result for FC6 to F7 upgrade.
Comment 5 Rick Richardson 2007-09-19 09:30:16 EDT
# rpm -Uvh rpm*rpm
# yum -y update
Setting up Update Process
fedora                    100% |=========================| 2.1 kB    00:00
primary.sqlite.bz2        100% |=========================| 3.8 MB    00:05
updates                   100% |=========================| 2.3 kB    00:00
primary.sqlite.bz2        100% |=========================| 256 kB    00:10
...

Great!!!
Comment 6 Rick Richardson 2007-09-20 06:55:09 EDT
This is a BUG.  Not a NOTABUG.  Will we see it in F7 -> F8 ????

Note You need to log in before you can comment on or make changes to this bug.